Skip to content
Start here

Delete app

calls.sfu.delete(strapp_id, SFUDeleteParams**kwargs) -> SFUDeleteResponse
DELETE/accounts/{account_id}/calls/apps/{app_id}

Deletes an app from Cloudflare Calls

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Calls Write
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

A Cloudflare-generated unique identifier for a item.

maxLength32
minLength32
ReturnsExpand Collapse
class SFUDeleteResponse:
created: Optional[datetime]

The date and time the item was created.

formatdate-time
modified: Optional[datetime]

The date and time the item was last modified.

formatdate-time
name: Optional[str]

A short description of Calls app, not shown to end users.

uid: Optional[str]

A Cloudflare-generated unique identifier for a item.

maxLength32
minLength32

Delete app

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
sfu = client.calls.sfu.delete(
    app_id="2a95132c15732412d22c1476fa83f27a",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(sfu.uid)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created": "2014-01-02T02:20:00Z",
    "modified": "2014-01-02T02:20:00Z",
    "name": "production-realtime-app",
    "uid": "2a95132c15732412d22c1476fa83f27a"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created": "2014-01-02T02:20:00Z",
    "modified": "2014-01-02T02:20:00Z",
    "name": "production-realtime-app",
    "uid": "2a95132c15732412d22c1476fa83f27a"
  }
}